      subroutine rinfil(ik,rindid,iri,irfdid,ipg,did,iclust,idim,dd,ang)RINF001
                                                                        RINF002
      integer ipg(7)                                                    RINF003
      real did(iclust,idim),rindid(iri*7,6),dd(7),ang(7)                RINF004
                                                                        RINF005
      do 0700 k=1,ik                                                    RINF006
         irfdid=irfdid+1                                                RINF007
         rindid(irfdid,1)=did(ipg(k),5)                                 RINF008
         do 0701 j=1,3                                                  RINF009
            rindid(irfdid,j+1)=did(ipg(k),j+5)                          RINF010
 0701    continue                                                       RINF011
         rindid(irfdid,5)=dd(k)                                         RINF012
         rindid(irfdid,6)=ang(k)                                        RINF013
c         write(*,'(6f8.3)')(rindid(irfdid,j),j=1,6)                    RINF014
 0700 continue                                                          RINF015
      return                                                            RINF016
      end                                                               RINF017
